summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorDana Robinson <derobins@hdfgroup.org>2015-08-11 08:28:29 (GMT)
committerDana Robinson <derobins@hdfgroup.org>2015-08-11 08:28:29 (GMT)
commit6c66d7db0af89e13061f39adf72e5417d80acdec (patch)
treed21dd6648d8affa302e66c4f26eba6270aa6a396
parentf5cf503dbd6cfa237a9356b3f2548f4469c310d9 (diff)
downloadhdf5-6c66d7db0af89e13061f39adf72e5417d80acdec.zip
hdf5-6c66d7db0af89e13061f39adf72e5417d80acdec.tar.gz
hdf5-6c66d7db0af89e13061f39adf72e5417d80acdec.tar.bz2
[svn-r27490] Disable flushrefresh test when VFD does not support SWMR.
Part of SWMR-23 and SWMR-25. Tested on: Linux (jam), Darwin (wren) w/ threadsafe & autotools
-rwxr-xr-xtest/testflushrefresh.sh.in14
-rwxr-xr-xtest/testswmr.sh.in2
2 files changed, 15 insertions, 1 deletions
diff --git a/test/testflushrefresh.sh.in b/test/testflushrefresh.sh.in
index 732f32b..99ed025 100755
--- a/test/testflushrefresh.sh.in
+++ b/test/testflushrefresh.sh.in
@@ -63,6 +63,20 @@ if test -z "$srcdir"; then
srcdir=.
fi
+# Check to see if the VFD specified by the HDF5_DRIVER environment variable
+# supports SWMR.
+./swmr_check_compat_vfd
+rc=$?
+if [[ $rc != 0 ]] ; then
+ echo
+ echo "The VFD specified by the HDF5_DRIVER environment variable"
+ echo "does not support SWMR."
+ echo
+ echo "flush/refresh tests skipped"
+ echo
+ exit 0
+fi
+
# ========================
# Launch the Test Program.
# ========================
diff --git a/test/testswmr.sh.in b/test/testswmr.sh.in
index e6d0ff6..17bf081 100755
--- a/test/testswmr.sh.in
+++ b/test/testswmr.sh.in
@@ -106,7 +106,7 @@ rc=$?
if [[ $rc != 0 ]] ; then
echo
echo "The VFD specified by the HDF5_DRIVER environment variable"
- echo "does not support SWMR"
+ echo "does not support SWMR."
echo
echo "SWMR acceptance tests skipped"
echo